import { Sensor } from "./Sensors/Sensor";
interface Options {
    interval?: number;
    broker?: string;
    connectTimeoutInSeconds?: number;
    timeToWaitForData?: {
        min: number;
        max: number;
    };
}
export declare class Coordinator {
    private usedAddresses;
    private usedMcuIds;
    private sensors;
    private generateAddress;
    private generateMcuId;
    constructor();
    addSensor(sensor: Sensor): this;
    getData(): (import("./Types").DataObject | (import("./Types").DataObject | import("./Types").DataObject[])[] | Promise<import("./Types").DataObject | (import("./Types").DataObject | import("./Types").DataObject[])[]>)[];
    publishData(options?: Options): void;
}
export {};
